% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MLWIC_train.R
\name{MLWIC_train}
\alias{MLWIC_train}
\title{Train a machine learning model to classify images}
\usage{
MLWIC_train(path_prefix, data_info, model_dir,
  python_loc = "/anaconda2/bin/python2.7", num_classes = 28,
  delimiter = ",", log_dir_train = "train_output")
}
\arguments{
\item{path_prefix}{Absolute path to location of the images on your computer}

\item{data_info}{csv with file names for each photo. This file must have no headers (column names).
column 1 must be the file name of each image including the extention (i.e., .jpg). Column 2
must be a number corresponding to the species. Give each species (or group of species) a
number identifying it. The first species must be 0, the next species 1, and so on.}

\item{model_dir}{Absolute path to the location where you stored the L1 folder
that you downloaded from github.}

\item{python_loc}{The location of python 2.7 on your machine. If you are
using a Macintosh, the default is the likely location}

\item{num_classes}{The number of classes (species or groups of species) in your model.}

\item{delimiter}{this will be a `,` for a csv.}

\item{log_dir_train}{directory where you will store the model information.
This will be called when you what you specify in the \code{log_dir} option of the
\code{MLWIC_eval} function. You will want to use unique names if you are training
multiple models on your computer; otherwise they will be over-written.}
}
\description{
\code{MLWIC_train} allows users to train their own machine learning model using images
that have been manually classified. We recommend having at least 2,000 images per species,
but accuracies will be higher with > 10,000 images. This model will take a very long
time to run. We recommend using a GPU if possible. In the \code{data_info} csv, you must
have two columns with NO HEADERS. Column 1 must be the file name of the image. Column 2
must be a number corresponding to the species. Give each species (or group of species) a
number identifying it. The first species must be 0, the next species 1, and so on.
}
